Failed snapshots are not cleaned up

Bug #861582 reported by Stanislaw Pitucha on 2011-09-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
David Subiros Perez
Diablo
Undecided
Unassigned
nova (Ubuntu)
Undecided
Chuck Short
Oneiric
Undecided
Chuck Short

Bug Description

When a snapshot creation fails, the resulting file is not cleaned up in case of the libvirt driver. For libvirt this occurs if qemu-img fails the conversion.

Dave Walker (davewalker) on 2011-09-29
Changed in nova (Ubuntu Oneiric):
milestone: none → ubuntu-11.10

Reviewed: https://review.openstack.org/726
Committed: http://github.com/openstack/nova/commit/eb6432361ee4946d93867e2d3f0870d892a25c66
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit eb6432361ee4946d93867e2d3f0870d892a25c66
Author: David Subiros <email address hidden>
Date: Wed Sep 28 15:19:04 2011 +0100

    Enforce snapshot cleanup.

    Makes sure that the snapshot and the temporary directory is cleaned up,
    even if qemu-img fails. Fixes bug 861582.

    Change-Id: I3c7798215c8d0d5dc979379a13e038098b0f31d4

Dave Walker (davewalker) on 2011-09-29
Changed in nova (Ubuntu Oneiric):
status: New → Triaged
assignee: nobody → Chuck Short (zulcss)
Brian Waldon (bcwaldon) on 2011-09-29
Changed in nova:
status: New → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2011.3-0ubuntu4

---------------
nova (2011.3-0ubuntu4) oneiric; urgency=low

  [James Page]
  * debian/nova-common.postinst:
    - Exclude mounted LXC rootfs filesystems within /var/lib/nova from
      user/group ownership changes (LP: #861260).
    - Ensure that primary group for 'nova' user is 'nova' so that files
      created by this user have the correct group ownership.

  [Adam Gandelman]
  * debian/nova-common.postinst: Restrict permissions of /var/log/nova
    (LP: #862816)

  [Ante Karamatic]
  * Add /usr/sbin/ietadm to sudoers (LP: #861547)
  * debian/control: Fix typo in Vcs-Bzr

  [Chuck Short]
  * debian/patches/backport-libvirt-console-pipe.patch:
    Move console.log to a ringbuffer so that the console.log
    keeps filling up. (LP: #832507)
  * debian/patches/backport-lxc-container-console-fix.patch:
    Make euca-get-console-output usable for LXC containers.
    (LP: #832159)
  * debian/patches/backport-snapshot-cleanup.patch:
    Enforce snapshot cleanup. (LP: #861582).
  * debian/patches/fix-lp863305-images-permission.patch:
    Fix image access control. (LP: #863305)
 -- Chuck Short <email address hidden> Fri, 30 Sep 2011 15:21:56 -0400

Changed in nova (Ubuntu Oneiric):
status: Triaged → Fix Released

Reviewed: https://review.openstack.org/958
Committed: http://github.com/openstack/nova/commit/5ff8e1cfa1b0ea22d7113b6d9fa729c8f43f1a19
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit 5ff8e1cfa1b0ea22d7113b6d9fa729c8f43f1a19
Author: David Subiros <email address hidden>
Date: Wed Sep 28 15:19:04 2011 +0100

    Enforce snapshot cleanup.

    Makes sure that the snapshot and the temporary directory is cleaned up,
    even if qemu-img fails. Fixes bug 861582.

    (cherry picked from commit eb6432361ee4946d93867e2d3f0870d892a25c66)

    Change-Id: I718021bfb7069c39a47e0da25d79acbf07f02a69

Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released

Hello Stanislaw, or anyone else affected,

Accepted nova into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Mark McLoughlin (markmc) on 2012-04-03
Changed in nova:
assignee: nobody → David Subiros Perez (david-perez5)
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers